
#ifndef _FRAME_H_
#define _FRAME_H_

#include "window.h"

class Editor;

class Frame : public Window
{
public:
	Frame() : _editor(0), _editor_x(0), _editor_y(0), _edMenu(0) { }
	~Frame() { }

	bool Initialize(HINSTANCE hInstance);
	LRESULT WndProc(UINT msg, WPARAM wParam, LPARAM lParam);

	void UpdateScroll(int x, int y);
	RECT GetEditorPosition();

private:

	void CloseEditor();
	bool EditorOverworld();
	bool EditorLevel();
	void LoadEditorMenu();

	RECT GetEditorRect() const;
	HWND _hStatusBar;
	HMENU _edMenu;
	bool _animation;
	static const char *WndFrameClassName;
	static const char *WndFrameTitle;
	Editor *_editor;
	int _editor_x;
	int _editor_y;
};

#endif /* _FRAME_H_ */
