
#include <windows.h>
#include <stdio.h>
#include "gfxviewer.h"
#include "resource.h"
#include "tile.h"

void OpenGraphicViewer(HWND parent)
{
	DialogBox((HINSTANCE) GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_GFXVIEWER), parent, GfxViewerDlgProc);
}

BOOL CALLBACK GfxViewerDlgProc(HWND hdlg, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch (msg) {
	case WM_INITDIALOG:

		return TRUE;
	case WM_COMMAND:
		switch (LOWORD(wParam)) {
		case IDCANCEL:
		case IDOK:
			EndDialog(hdlg, 1);
			return TRUE;
		case IDC_GFXVIEWER_PALID:
		case IDC_GFXVIEWER_GFXID:
			InvalidateRect(hdlg, NULL, TRUE);
			return TRUE;
		}
		return TRUE;
	case WM_PAINT:{
		PAINTSTRUCT ps;
		HDC hdc = BeginPaint(hdlg, &ps);
		do {
			unsigned gfxid;
			unsigned palid;
			char gfxid_str[8];
			char palid_str[4];
			GetWindowText(GetDlgItem(hdlg, IDC_GFXVIEWER_GFXID), gfxid_str, sizeof(gfxid_str));
			GetWindowText(GetDlgItem(hdlg, IDC_GFXVIEWER_PALID), palid_str, sizeof(palid_str));
			if (!sscanf(gfxid_str, "%4x", &gfxid))
				break ;
			if (!sscanf(palid_str, "%2x", &palid))
				break ;
			DrawSprite(hdc, gfxid, 0, 0, palid);
		} while (0);
		EndPaint(hdlg, &ps);
		return TRUE;
		}
	}
	return FALSE;
}
